<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddSelection Method (IEdmBatchUnlock)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchUnlock Interface : AddSelection Method (IEdmBatchUnlock)

Visual Basic
C#
C++/CLI

poVault
  IEdmVault5; vault to which the files belong

ppoSelection
  Array of IEdmSelItem structures; one structure for each file to unlock

Specifies the batch of files to be unlocked.

# Syntax

Visual Basic |
--- | ---

    Sub AddSelection( _
       ByVal poVault As EdmVault5, _
       ByRef ppoSelection() As EdmSelItem _
    )

C# |
--- | ---

    void AddSelection(
       EdmVault5 poVault,
       ref EdmSelItem[] ppoSelection
    )

C++/CLI |
--- | ---

    void AddSelection(
    &   EdmVault5^ poVault,
    &   array<EdmSelItem>^% ppoSelection
    )

#### Parameters

poVault
  IEdmVault5; vault to which the files belong
ppoSelection
  Array of IEdmSelItem structures; one structure for each file to unlock

# Example

See the IEdmBatchUnlock examples.

# Remarks

See the IEdmBatchUnlock remarks for information about using this method.

When you call this method, SOLIDWORKS PDM Professional automatically adds the file's references to the unlock file set.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchUnlock Interface
IEdmBatchUnlock Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional